## appimagelauncher 2.2.0+dfsg

=== debian/changelog ===
appimagelauncher (2.2.0+dfsg-1+20201123+2101+amd64+build31) 2101+amd64; urgency=medium

  [ Scarlett Moore ]
  * New upstream release. 

  [ Debian CI ]
  * Automatic CI Build

 -- Debian CI <null@debian.org>  Mon, 08 Feb 2021 17:38:07 +0000

appimagelauncher (1.3.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #918523)

 -- Scarlett Moore <sgmoore@kde.org>  Sat, 05 Jan 2019 16:14:31 +0000
