=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export QT_SELECT=5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_SYSTEM_LIBAPPIMAGE=ON -DCMAKE_BUILD_TYPE=Release \
	-DENABLE_UPDATE_HELPER=OFF -DINSTALL_MAINTAINER_SCRIPTS=ON

override_dh_fixperms:
	dh_fixperms
	chmod +x $(CURDIR)/debian/appimagelauncher/usr/share/appimagelauncher/maintainer-scripts/post-install
	chmod +x $(CURDIR)/debian/appimagelauncher/usr/share/appimagelauncher/maintainer-scripts/post-uninstall

override_dh_shlibdeps:
	dh_shlibdeps -LXdgUtils -l/usr/lib/$(DEB_HOST_MULTIARCH)/XdgUtils
