=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//, \
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/TheAssassin/AppImageLauncher/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
