## appimagelauncher 2.2.0.ds1

=== debian/changelog ===
appimagelauncher (2.2.0.ds1-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Remove .git/modules/* from source, not necessary, and add ".ds1" to
    version.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Dec 2024 18:32:19 -0800

appimagelauncher (2.2.0-7) bookworm; urgency=medium

  * Initial release. (Closes: #1.0)  <1.0 is the bug number of your ITP>

 -- linuxmangaka <linuxmangaka@gmail.com>  Mon, 05 Aug 2024 12:35:14 +0700
