=== debian/control ===
Source: appimagelauncher
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: linuxmangaka <linuxmangaka@gmail.com>
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               git,
               libappimage-dev,
               libarchive-dev,
               libboost-all-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libcairo2-dev,
               libcurl4-openssl-dev,
               libfuse-dev,
               libgdk-pixbuf-2.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libjpeg-dev,
               librsvg2-dev,
               libtiff-dev,
               libxpm-dev,
               patchelf,
               pkgconf,
               qtbase5-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.2
Homepage: https://assassinate-you.net/tags/appimagelauncher/
Vcs-Browser: https://salsa.debian.org/sgclark-guest/appimagelauncher
Vcs-Git: https://salsa.debian.org/sgclark-guest/appimagelauncher.git

Package: appimagelauncher
Architecture: any
Pre-Depends: binfmt-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: integrates your Linux desktop with AppImages
 Integrate AppImages to your application launcher with one click, and manage,
 update and remove them from there. Double-click AppImages to open them,
 without having to make them executable first. AppImageLauncher plays well with
 other applications managing AppImages, for example app stores. However, it
 doesn't depend on any of those, and can run completely standalone.
