=== debian/changelog ===
appimagelauncher (202110042218-0f91801~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Switch to source/format 3.0 (quilt).

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 12 Jan 2022 09:00:51 -0500

appimagelauncher (202110042218-stable-0f91801~ubuntu21.10.1) impish; urgency=low

  * Auto build.

 -- Launchpad Package Builder <noreply@launchpad.net>  Mon, 04 Oct 2021 22:18:19 +0000

appimagelauncher (1.2.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #918523)

 -- Scarlett Moore <sgmoore@kde.org>  Sat, 05 Jan 2019 16:14:31 +0000
