=== debian/control ===
Source: appimagelauncher
Section: utils
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake,
               debhelper (>= 12),
               libappimage-dev,
               libboost-filesystem-dev,
               libboost-dev,
               libcairo2-dev,
               libfuse-dev,
               libglib2.0-dev,
               pkg-config,
               qtbase5-dev,
               qttools5-dev-tools,
               gcc-multilib [amd64],
               g++-multilib [amd64],
Standards-Version: 4.3.0
Homepage: https://github.com/TheAssassin/AppImageLauncher
Vcs-Browser: https://salsa.debian.org/sgclark-guest/appimagelauncher
Vcs-Git: https://salsa.debian.org/sgclark-guest/appimagelauncher.git

Package: appimagelauncher
Architecture: any
Pre-Depends: binfmt-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: AppImage helper
 Helper application for Linux distributions serving as a
 kind of "entry point" for running and integrating AppImages
 .
 AppImage provides a way for upstream developers to provide
 “native” binaries for Linux users just the same way they could
 do for other operating systems. It allow packaging applications
 for any common Linux based operating system, e.g., Debian.
 AppImages come with all dependencies that cannot be assumed
 to be part of each target system in a recent enough version and
 will run on most Linux distributions without further modifications.
 .
 AppImageLauncher makes your Linux desktop AppImage ready™.
 You can integrate AppImages with a single mouse click, and manage
 them from your application launcher. Install AppImageLauncher today
 for your distribution and enjoy using AppImages as easy as never before!
